org.apache.lucene.queryParser.core.config

## Class FieldConfig

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.queryParser.core.config.FieldConfig

-     public class FieldConfig
      extends AttributeSource

  This class represents a field configuration. Every configuration should be set using the methods inherited from `AttributeSource`.
  See Also:
    `QueryConfigHandler`, `Attribute`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `AttributeSource.AttributeFactory, AttributeSource.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldConfig(java.lang.CharSequence fieldName)` Constructs a `FieldConfig`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.CharSequence` | `getFieldName()` Returns the field name this configuration represents.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldConfig

          public FieldConfig(java.lang.CharSequence fieldName)

      Constructs a `FieldConfig`
      Parameters:
        `fieldName` - the field name, it cannot be null
      Throws:
        `java.lang.IllegalArgumentException` - if the field name is null

  - ### Method Detail

    - #### getFieldName

          public java.lang.CharSequence getFieldName()

      Returns the field name this configuration represents.
      Returns:
        the field name

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AttributeSource`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.